<?php
/* -------------------------------------------

Component: com_DBBackups
Author: Barnaby Dixon
Email: barnaby@php-web-design.com
Copywrite: Copywrite (C) 2010 Barnaby Dixon. All Rights Reserved.
License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

---------------------------------------------*/

//No Direct Access

defined('_JEXEC') or die( 'Restricted access' );

class TableDbBackups extends JTable
{
	var $id					= 0;

	function __construct( &$db )
	{
		parent::__construct( '#__dbbackups', 'id', $db );
	}

	function bind( $array, $ignore='' )
	{
		$result = parent::bind( $array );
		$this->id	= (int) $this->id;
		return $result;
	}

	function check()
	{
		if (trim( $this->title ) == '')
		{
			$this->setError(JText::_( 'Your Search must contain a title.' ));
			return false;
		}
		$this->searchtext = JRequest::getVar('searchtext','','POST','STRING',JREQUEST_ALLOWHTML);
		$this->link = JRequest::getVar('link','','POST','STRING',JREQUEST_ALLOWHTML);
		return true;
	}

	function delete_db( $oid=null )
	{
		$k = $this->_tbl_key;
		if ( $oid ) {
			$this->$k = intval( $oid );
		}

		if ( parent::delete( $oid ))
		{
			$query = 'DELETE FROM #__dbbackups'
			. ' WHERE id = '.(int) $this->$k
			;
			$this->_db->setQuery( $query );
			if ( !$this->_db->query() ) {
				$this->_error .= $this->_db->getErrorMsg() . "\n";
			}
			return true;
		}
		return false;
	}
}
