<?php 

/* -------------------------------------------

Component: com_DBBackups
Author: Barnaby Dixon
Email: barnaby@php-web-design.com
Copywrite: Copywrite (C) 2010 Barnaby Dixon. All Rights Reserved.
License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

---------------------------------------------*/

//No Direct Access

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');

JToolBarHelper::title(  JText::_( 'Database Backup & Restore' ) );
JToolBarHelper::custom( 'restorebackup', 'assign', 'assign', 'Restore Database', 0,0 );
JToolBarHelper::custom( 'generatebackup', 'upload', 'upload', 'Create Restore Point', 0, 0 );
JToolBarHelper::custom( 'deletebackup', 'delete', 'delete', 'Delete', 0, 0 );
?>

<form action="index.php?option=com_dbbackups" method="post" name="adminForm">

<div id="tablecell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo JText::_( 'NUM' ); ?>
			</th>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
			</th>
			<th class="title">
				<?php echo JHTML::_('grid.sort',   'Backup', 'm.title', @$this->lists['order_Dir'], @$this->lists['backup'] ); ?>
			</th>
			<th class="title" width="50"><?php echo JText::_( 'Download' ); ?></th>
			<th class="title" width="50">
				<?php echo JHTML::_('grid.sort',   'Date', 'm.searchtext', @$this->lists['order_Dir'], @$this->lists['date'] ); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="9">
				<?php //echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
	<?php
	$k = 0;
	for ($i=0, $n=count( $this->items ); $i < $n; $i++)
	{
		$row = &$this->items[$i];
		$link 		= JRoute::_( 'index.php?option=com_dbbackups&task=edit&cid[]='. $row->id );
		$checked 	= JHTML::_('grid.checkedout',   $row, $i );
		$published 	= JHTML::_('grid.published', $row, $i );
	?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $this->pagination->getRowOffset( $i ); ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td align="left">
				<?php echo $row->backup; ?>
			</td>
			<td align="center"><a href="components/com_dbbackups/dbBackUps/<?=$row->backup; ?>">Download</a></td>
			<td align="center">
				<?php echo $row->date; ?>
			</td>
		</tr>
		<?php
			$k = 1 - $k;
		}
		?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="9">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	</table>
</div>

	<input type="hidden" name="option" value="com_dbbackups" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>